함수 참조

SpreadJS는 함수 참조('eta reduced lambda'라고도 함)를 지원합니다. 이 기능은 불필요한 추상화를 없애고 가능한 경우 약어 구문을 사용하여 함수를 간소화합니다. 아래 데모는 이 기능을 사용하는 방법에 대한 몇 가지 예를 보여줍니다.

설명
app.js
index.html
styles.css

사용자 정의 이름에 함수 참조 사용

함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다.

spread.addCustomName("op","SUM");
sheet.setFormula(0,0,"op(B1:B5)");

함수 참조를 LAMBDA 함수 매개변수로 사용

LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다.

sheet.setFormula(0,0,"=LAMBDA(op,op(123))(SUM)");
sheet.setFormula(1,0,"=MAP(B1:C3,ABS)");
sheet.setFormula(2,0,"=BYCOL(B1:C3,SUM)");
sheet.setFormula(3,0,"=BYROW(B1:C3,SUM)");
sheet.setFormula(4,0,"=MAKEARRAY(3, 3, SUM)");
sheet.setFormula(5,0,"=REDUCE(True, B1:C2, AND)");
sheet.setFormula(6,0,"=SCAN(1, B1:C2, COUNT)");
sheet.setFormula(7,0,"=GROUPBY(B2:B34,D2:D34,SUM)");

LET name_value에 함수 참조 사용

name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다.

sheet.setFormula(0,0,"=LET(op,SUM,op(B1:B5))");

사용자 정의 함수 참조

사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.

function IsNegativeFunction() {
    this.name = "ISNEGATIVE";
    this.maxArgs = 1;
    this.minArgs = 1;
}
IsNegativeFunction.prototype = new GC.Spread.CalcEngine.Functions.Function();
IsNegativeFunction.prototype.evaluate = function (arg) {
    if (parseInt(arg)<0) {
        return true;
    }
    return false;
};
spread.addCustomFunction(new IsNegativeFunction());
sheet.setFormula(4, 2, "=MAP(A1:C3,ISNEGATIVE)");
사용자 정의 이름에 함수 참조 사용 함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다. 함수 참조를 LAMBDA 함수 매개변수로 사용 LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다. LET name_value에 함수 참조 사용 name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다. 사용자 정의 함수 참조 사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 }); initSpread(spread); }; function initSpread(spread) { var sd = data; if (sd.length > 0) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(sd[0]); spread.calculate(); spread.resumePaint(); } }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="spreadjs culture" content="ko-kr"/> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-charts/dist/gc.spread.sheets.charts.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/data/eta-lambda.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%;height:100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

함수 참조

SpreadJS는 함수 참조('eta reduced lambda'라고도 함)를 지원합니다. 이 기능은 불필요한 추상화를 없애고 가능한 경우 약어 구문을 사용하여 함수를 간소화합니다. 아래 데모는 이 기능을 사용하는 방법에 대한 몇 가지 예를 보여줍니다.

설명
app.vue
index.html

사용자 정의 이름에 함수 참조 사용

함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다.

spread.addCustomName("op","SUM");
sheet.setFormula(0,0,"op(B1:B5)");

함수 참조를 LAMBDA 함수 매개변수로 사용

LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다.

sheet.setFormula(0,0,"=LAMBDA(op,op(123))(SUM)");
sheet.setFormula(1,0,"=MAP(B1:C3,ABS)");
sheet.setFormula(2,0,"=BYCOL(B1:C3,SUM)");
sheet.setFormula(3,0,"=BYROW(B1:C3,SUM)");
sheet.setFormula(4,0,"=MAKEARRAY(3, 3, SUM)");
sheet.setFormula(5,0,"=REDUCE(True, B1:C2, AND)");
sheet.setFormula(6,0,"=SCAN(1, B1:C2, COUNT)");
sheet.setFormula(7,0,"=GROUPBY(B2:B34,D2:D34,SUM)");

LET name_value에 함수 참조 사용

name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다.

sheet.setFormula(0,0,"=LET(op,SUM,op(B1:B5))");

사용자 정의 함수 참조

사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.

function IsNegativeFunction() {
    this.name = "ISNEGATIVE";
    this.maxArgs = 1;
    this.minArgs = 1;
}
IsNegativeFunction.prototype = new GC.Spread.CalcEngine.Functions.Function();
IsNegativeFunction.prototype.evaluate = function (arg) {
    if (parseInt(arg)<0) {
        return true;
    }
    return false;
};
spread.addCustomFunction(new IsNegativeFunction());
sheet.setFormula(4, 2, "=MAP(A1:C3,ISNEGATIVE)");
사용자 정의 이름에 함수 참조 사용 함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다. 함수 참조를 LAMBDA 함수 매개변수로 사용 LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다. LET name_value에 함수 참조 사용 name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다. 사용자 정의 함수 참조 사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.
<template> <div class="sample-tutorial"> <gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread"> <gc-worksheet></gc-worksheet> </gc-spread-sheets> </div> </template> <script setup> import GC from '@mescius/spread-sheets'; import '@mescius/spread-sheets-resources-ko'; GC.Spread.Common.CultureManager.culture("ko-kr"); function initSpread (spread) { let sd = data; if (sd.length > 0) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(sd[0]); spread.calculate(); spread.resumePaint(); } } </script> <style scoped> #app { height: 100%; } .sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } </style>
<!DOCTYPE html> <html lang="en" style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <title>SpreadJS VUE</title> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/ko/vue3/node_modules/systemjs/dist/system.src.js"></script> <script src="./systemjs.config.js"></script> <script src="./compiler.js" type="module"></script> <script src="$DEMOROOT$/spread/source/data/eta-lambda.js" type="text/javascript"></script> <script> var System = SystemJS; System.import("./src/app.js"); System.import('$DEMOROOT$/ko/lib/vue3/license.js'); </script> </head> <body> <div id="app"></div> </body> </html>
(function (global) { SystemJS.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, packageConfigPaths: [ './node_modules/*/package.json', "./node_modules/@mescius/*/package.json", "./node_modules/@babel/*/package.json", "./node_modules/@vue/*/package.json" ], map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js', '@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js', 'vue': "npm:vue/dist/vue.esm-browser.js", 'tiny-emitter': 'npm:tiny-emitter/index.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', "systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js", }, meta: { '*.css': { loader: 'systemjs-plugin-css' }, '*.vue': { loader: "../plugin-vue/index.js" } } }); })(this);

함수 참조

SpreadJS는 함수 참조('eta reduced lambda'라고도 함)를 지원합니다. 이 기능은 불필요한 추상화를 없애고 가능한 경우 약어 구문을 사용하여 함수를 간소화합니다. 아래 데모는 이 기능을 사용하는 방법에 대한 몇 가지 예를 보여줍니다.

설명
app.component.ts
index.html
app.component.html
styles.css

사용자 정의 이름에 함수 참조 사용

함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다.

spread.addCustomName("op","SUM");
sheet.setFormula(0,0,"op(B1:B5)");

함수 참조를 LAMBDA 함수 매개변수로 사용

LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다.

sheet.setFormula(0,0,"=LAMBDA(op,op(123))(SUM)");
sheet.setFormula(1,0,"=MAP(B1:C3,ABS)");
sheet.setFormula(2,0,"=BYCOL(B1:C3,SUM)");
sheet.setFormula(3,0,"=BYROW(B1:C3,SUM)");
sheet.setFormula(4,0,"=MAKEARRAY(3, 3, SUM)");
sheet.setFormula(5,0,"=REDUCE(True, B1:C2, AND)");
sheet.setFormula(6,0,"=SCAN(1, B1:C2, COUNT)");
sheet.setFormula(7,0,"=GROUPBY(B2:B34,D2:D34,SUM)");

LET name_value에 함수 참조 사용

name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다.

sheet.setFormula(0,0,"=LET(op,SUM,op(B1:B5))");

사용자 정의 함수 참조

사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.

function IsNegativeFunction() {
    this.name = "ISNEGATIVE";
    this.maxArgs = 1;
    this.minArgs = 1;
}
IsNegativeFunction.prototype = new GC.Spread.CalcEngine.Functions.Function();
IsNegativeFunction.prototype.evaluate = function (arg) {
    if (parseInt(arg)<0) {
        return true;
    }
    return false;
};
spread.addCustomFunction(new IsNegativeFunction());
sheet.setFormula(4, 2, "=MAP(A1:C3,ISNEGATIVE)");
사용자 정의 이름에 함수 참조 사용 함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다. 함수 참조를 LAMBDA 함수 매개변수로 사용 LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다. LET name_value에 함수 참조 사용 name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다. 사용자 정의 함수 참조 사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.
import { Component, NgModule, enableProdMode } from '@angular/core'; import { BrowserModule } from '@angular/platform-browser'; import { platformBrowserDynamic } from '@angular/platform-browser-dynamic'; import { SpreadSheetsModule } from '@mescius/spread-sheets-angular'; import GC from '@mescius/spread-sheets'; import "@mescius/spread-sheets-shapes"; import '@mescius/spread-sheets-charts'; import '@mescius/spread-sheets-resources-ko'; GC.Spread.Common.CultureManager.culture("ko-kr"); import './styles.css'; @Component({ selector: 'app-component', templateUrl: 'src/app.component.html' }) export class AppComponent { hostStyle = { width: '100%', height: '100%', overflow: 'hidden', float: 'left' }; constructor() { } initSpread($event: any) { let spread = $event.spread; let sd = data; if (sd.length > 0) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(sd[0]); spread.calculate(); spread.resumePaint(); } } } @NgModule({ imports: [BrowserModule, SpreadSheetsModule], declarations: [AppComponent], exports: [AppComponent], bootstrap: [AppComponent] }) export class AppModule {} enableProdMode(); // Bootstrap application with hash style navigation and global services. platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <!-- Polyfills --> <script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script> <script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script> <!-- SystemJS --> <script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script> <script src="$DEMOROOT$/spread/source/data/eta-lambda.js" type="text/javascript"></script> <script src="systemjs.config.js"></script> <script> // workaround to load 'rxjs/operators' from the rxjs bundle System.import('rxjs').then(function (m) { System.import('@angular/compiler'); System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators)); System.import('$DEMOROOT$/ko/lib/angular/license.ts'); System.import('./src/app.component'); }); </script> </head> <body> <app-component></app-component> </body> </html>
<div class="sample-tutorial"> <gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)"> <gc-worksheet></gc-worksheet> </gc-spread-sheets> </div>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }
(function (global) { System.config({ transpiler: 'ts', typescriptOptions: { tsconfig: true }, meta: { 'typescript': { "exports": "ts" }, '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { 'core-js': 'npm:core-js/client/shim.min.js', 'zone': 'npm:zone.js/fesm2015/zone.min.js', 'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js', '@angular/core': 'npm:@angular/core/fesm2022', '@angular/common': 'npm:@angular/common/fesm2022/common.mjs', '@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs', '@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs', '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs', '@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs', '@angular/router': 'npm:@angular/router/fesm2022/router.mjs', '@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs', 'jszip': 'npm:jszip/dist/jszip.min.js', 'typescript': 'npm:typescript/lib/typescript.js', 'ts': './plugin.js', 'tslib': 'npm:tslib/tslib.js', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js', '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js', '@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js', '@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js', '@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'ts' }, rxjs: { defaultExtension: 'js' }, "node_modules": { defaultExtension: 'js' }, "node_modules/@angular": { defaultExtension: 'mjs' }, "@mescius/spread-sheets-angular": { defaultExtension: 'mjs' }, '@angular/core': { defaultExtension: 'mjs', main: 'core.mjs' } } }); })(this);

함수 참조

SpreadJS는 함수 참조('eta reduced lambda'라고도 함)를 지원합니다. 이 기능은 불필요한 추상화를 없애고 가능한 경우 약어 구문을 사용하여 함수를 간소화합니다. 아래 데모는 이 기능을 사용하는 방법에 대한 몇 가지 예를 보여줍니다.

설명
app.jsx
app-func.jsx
app-class.jsx
index.html
styles.css

사용자 정의 이름에 함수 참조 사용

함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다.

spread.addCustomName("op","SUM");
sheet.setFormula(0,0,"op(B1:B5)");

함수 참조를 LAMBDA 함수 매개변수로 사용

LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다.

sheet.setFormula(0,0,"=LAMBDA(op,op(123))(SUM)");
sheet.setFormula(1,0,"=MAP(B1:C3,ABS)");
sheet.setFormula(2,0,"=BYCOL(B1:C3,SUM)");
sheet.setFormula(3,0,"=BYROW(B1:C3,SUM)");
sheet.setFormula(4,0,"=MAKEARRAY(3, 3, SUM)");
sheet.setFormula(5,0,"=REDUCE(True, B1:C2, AND)");
sheet.setFormula(6,0,"=SCAN(1, B1:C2, COUNT)");
sheet.setFormula(7,0,"=GROUPBY(B2:B34,D2:D34,SUM)");

LET name_value에 함수 참조 사용

name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다.

sheet.setFormula(0,0,"=LET(op,SUM,op(B1:B5))");

사용자 정의 함수 참조

사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.

function IsNegativeFunction() {
    this.name = "ISNEGATIVE";
    this.maxArgs = 1;
    this.minArgs = 1;
}
IsNegativeFunction.prototype = new GC.Spread.CalcEngine.Functions.Function();
IsNegativeFunction.prototype.evaluate = function (arg) {
    if (parseInt(arg)<0) {
        return true;
    }
    return false;
};
spread.addCustomFunction(new IsNegativeFunction());
sheet.setFormula(4, 2, "=MAP(A1:C3,ISNEGATIVE)");
사용자 정의 이름에 함수 참조 사용 함수 이름으로 콘텐츠가 있는 사용자 정의 이름을 정의할 수 있습니다. 그런 다음 수식에 사용할 수 있습니다. 함수 참조를 LAMBDA 함수 매개변수로 사용 LAMBDA 함수가 허용되는 경우 LAMBDA 함수 매개변수를 함수 이름으로 사용할 수 있습니다. LET name_value에 함수 참조 사용 name_value를 함수 참조로 정의한 후 LET 함수에서 사용할 수 있습니다. 사용자 정의 함수 참조 사용자 정의 함수를 정의하여 위의 사용 사례에 사용할 수 있습니다.
import * as React from 'react'; import * as ReactDOM from 'react-dom'; import './styles.css'; import { AppFunc } from './app-func'; // import { App } from './app-class'; // 1. Functional Component sample ReactDOM.render(<AppFunc />, document.getElementById('app')); // 2. Class Component sample // ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import '@mescius/spread-sheets-shapes'; import '@mescius/spread-sheets-charts'; import '@mescius/spread-sheets-resources-ko'; GC.Spread.Common.CultureManager.culture("ko-kr"); import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react'; export function AppFunc() { const initSpread = (spread) => { var sd = data; if (sd.length > 0) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(sd[0]); spread.calculate(); spread.resumePaint(); } }; return <div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={initSpread}> <Worksheet> </Worksheet> </SpreadSheets> </div> </div>; }
import * as React from 'react'; import GC from '@mescius/spread-sheets'; import '@mescius/spread-sheets-resources-ko'; import '@mescius/spread-sheets-shapes'; import '@mescius/spread-sheets-charts'; GC.Spread.Common.CultureManager.culture("ko-kr"); import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react'; const Component = React.Component; export class App extends Component { constructor(props) { super(props); } render() { return <div class="sample-tutorial"> <div class="sample-spreadsheets"> <SpreadSheets workbookInitialized={spread => this.initSpread(spread)}> <Worksheet> </Worksheet> </SpreadSheets> </div> </div>; } initSpread(spread) { var sd = data; if (sd.length > 0) { if (!spread) { return; } spread.suspendPaint(); spread.fromJSON(sd[0]); spread.calculate(); spread.resumePaint(); } } }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <!-- SystemJS --> <script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script> <script src="$DEMOROOT$/spread/source/data/eta-lambda.js" type="text/javascript"></script> <script src="systemjs.config.js"></script> <script> System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () { System.import('./src/app'); }); </script> </head> <body> <div id="app"></div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: 100%; height: 100%; overflow: hidden; float: left; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; } #app { height: 100%; }
(function (global) { System.config({ transpiler: 'plugin-babel', babelOptions: { es2015: true, react: true }, meta: { '*.css': { loader: 'css' } }, paths: { // paths serve as alias 'npm:': 'node_modules/' }, // map tells the System loader where to look for things map: { '@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js', '@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js', '@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js', '@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js', '@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js', '@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js', 'react': 'npm:react/umd/react.production.min.js', 'react-dom': 'npm:react-dom/umd/react-dom.production.min.js', 'css': 'npm:systemjs-plugin-css/css.js', 'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js', 'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js' }, // packages tells the System loader how to load when no filename and/or no extension packages: { src: { defaultExtension: 'jsx' }, "node_modules": { defaultExtension: 'js' }, } }); })(this);